I2O_DRIVER_DISPATCH(9)

NAME
i2o_driver_dispatch - dispatch an I2O reply message

SYNOPSIS

int i2o_driver_dispatch(struct i2o_controller * c, u32 m);

ARGUMENTS

c
    I2O controller of the message

m
    I2O message number

DESCRIPTION

The reply is delivered to the driver from which the original message was. This function is only called from interrupt context.

Returns 0 on success and the message should not be flushed. Returns > 0 on success and if the message should be flushed afterwords. Returns negative error code on failure (the message will be flushed too).

COPYRIGHT